<div class="page-layout blank" fusePerfectScrollbar>
  <div class="tasksData">

    <form [formGroup]="ownerForm" autocomplete="off" novalidate (ngSubmit)="createOwner(ownerForm.value)">

      <mat-form-field class="example-full-width">
        <input matInput type="text" placeholder="Add Title" [(ngModel)]="taskTitle" formControlName="title" id="title">
        <mat-error *ngIf="hasError('title', 'required')">Title is required</mat-error>
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput [matDatepicker]="picker3" placeholder="Choose Date" [value]="date.value" [(ngModel)]="taskDate"
          formControlName="date" id="date">
        <mat-datepicker-toggle matSuffix [for]="picker3"></mat-datepicker-toggle>
        <mat-datepicker #picker3></mat-datepicker>
      </mat-form-field>

      <mat-form-field class="example-full-width form-control-lg form-control-solid">
        <mat-label>Select Group</mat-label>
        <mat-select [(value)]="selected" formControlName="group" id="group">
          <mat-option value="none">None</mat-option>
          <mat-option value="Group 1">Group 1</mat-option>
          <mat-option value="Group 2">Group 2</mat-option>
          <mat-option value="Group 3">Group 3</mat-option>
        </mat-select>
      </mat-form-field>

      <mat-radio-group aria-label="Select an option" class="example-full-width">
        <mat-radio-button value="1"> Priority </mat-radio-button>
      </mat-radio-group>

      <mat-form-field class="example-full-width">
        <mat-label>Description</mat-label>
        <textarea matInput placeholder="Enter your Description" [(ngModel)]="taskDes" formControlName="description"
          id="description"></textarea>
        <mat-error *ngIf="hasError('title', 'required')">Description is required</mat-error>
      </mat-form-field>

      <div class="addListBtn">
        <div><button mat-raised-button (click)="addToList()" class="add-task" [disabled]="!ownerForm.valid">ADD
            TASK</button></div>
        <div><button (click)="clearBtn()" class="add-task">Clear</button></div>
        <div><button (click)="backBtn()" class="add-task">Back</button></div>
      </div>
    </form>
  </div>
</div>